%global git_hash cc54845

Name:       nodejs-abbrev
Version:    1.0.2
Release:    1%{?dist}
Summary:    Abbreviation calculator for Node.js
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
# download from https://github.com/isaacs/abbrev-js/tarball/v%%{version}
Source0:    isaacs-abbrev-js-v%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -q -n isaacs-abbrev-js-%{git_hash}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p lib/abbrev.js %{buildroot}%{nodejs_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/abbrev.js
%doc README.md

%changelog
* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- initial package
